Deprecated: Assigning the return value of new by reference is deprecated in /www/htdocs/w00a2ebd/wp-settings.php on line 520

Deprecated: Assigning the return value of new by reference is deprecated in /www/htdocs/w00a2ebd/wp-settings.php on line 535

Deprecated: Assigning the return value of new by reference is deprecated in /www/htdocs/w00a2ebd/wp-settings.php on line 542

Deprecated: Assigning the return value of new by reference is deprecated in /www/htdocs/w00a2ebd/wp-settings.php on line 578

Deprecated: Function set_magic_quotes_runtime() is deprecated in /www/htdocs/w00a2ebd/wp-settings.php on line 18

Strict Standards: Declaration of Walker_Page::start_lvl() should be compatible with Walker::start_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1199

Strict Standards: Declaration of Walker_Page::end_lvl() should be compatible with Walker::end_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1199

Strict Standards: Declaration of Walker_Page::start_el() should be compatible with Walker::start_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1199

Strict Standards: Declaration of Walker_Page::end_el() should be compatible with Walker::end_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1199

Strict Standards: Declaration of Walker_PageDropdown::start_el() should be compatible with Walker::start_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1244

Strict Standards: Declaration of Walker_Category::start_lvl() should be compatible with Walker::start_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1391

Strict Standards: Declaration of Walker_Category::end_lvl() should be compatible with Walker::end_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1391

Strict Standards: Declaration of Walker_Category::start_el() should be compatible with Walker::start_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1391

Strict Standards: Declaration of Walker_Category::end_el() should be compatible with Walker::end_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1391

Strict Standards: Declaration of Walker_CategoryDropdown::start_el() should be compatible with Walker::start_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/classes.php on line 1442

Strict Standards: Redefining already defined constructor for class wpdb in /www/htdocs/w00a2ebd/wp-includes/wp-db.php on line 306

Strict Standards: Redefining already defined constructor for class WP_Object_Cache in /www/htdocs/w00a2ebd/wp-includes/cache.php on line 431

Strict Standards: Declaration of Walker_Comment::start_lvl() should be compatible with Walker::start_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/comment-template.php on line 1266

Strict Standards: Declaration of Walker_Comment::end_lvl() should be compatible with Walker::end_lvl(&$output) in /www/htdocs/w00a2ebd/wp-includes/comment-template.php on line 1266

Strict Standards: Declaration of Walker_Comment::start_el() should be compatible with Walker::start_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/comment-template.php on line 1266

Strict Standards: Declaration of Walker_Comment::end_el() should be compatible with Walker::end_el(&$output) in /www/htdocs/w00a2ebd/wp-includes/comment-template.php on line 1266

Strict Standards: Redefining already defined constructor for class WP_Dependencies in /www/htdocs/w00a2ebd/wp-includes/class.wp-dependencies.php on line 31

Strict Standards: Redefining already defined constructor for class WP_Http in /www/htdocs/w00a2ebd/wp-includes/http.php on line 61

Strict Standards: Redefining already defined constructor for class nggdb in /www/htdocs/w00a2ebd/wp-content/plugins/nextgen-gallery/lib/ngg-db.php on line 60

Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GoogleSitemapGeneratorLoader::Enable() should not be called statically in /www/htdocs/w00a2ebd/wp-includes/plugin.php on line 339
Gaby’s - Colours of the Soul » Wordpress 2.04

Gaby’s - Colours of the Soul

Kunterbuntes

Jul292006

Wordpress 2.04

Abgelegt unter:WP-Update Tags: ,

Strict Standards: Non-static method nggGallery::get_option() should not be called statically in /www/htdocs/w00a2ebd/wp-content/plugins/nextgen-gallery/nggfunctions.php on line 813

Strict Standards: Non-static method nggGallery::get_option() should not be called statically in /www/htdocs/w00a2ebd/wp-content/plugins/nextgen-gallery/nggfunctions.php on line 716

Strict Standards: Non-static method nggTags::find_images_for_tags() should not be called statically in /www/htdocs/w00a2ebd/wp-content/plugins/nextgen-gallery/nggfunctions.php on line 719

Strict Standards: Non-static method nggdb::find_images_in_list() should not be called statically in /www/htdocs/w00a2ebd/wp-content/plugins/nextgen-gallery/lib/tags.php on line 320

So, nun ist endlich das WP 2.04 heraus. Downloaden kannst Du die Version auf dieser Seite. Für 2.03 Nutzer gibt es ein Paket, welches nur die geänderten Dateien enthält. Diese Zip-Datei wird hier angeboten.

Diesmal soll es eine Version sein, die endlich die ca. 50 Bugs ausmerzt, welche in der jetzigen 2.03 enthalten sind. Hatte hier darüber berichtet. Nicht nur das, es soll auch eine wichtige Sicherheitslücke damit geschlossen werden.

Für diejenigen unter Euch welche von 2.03 auf 2.04 updaten hier noch eine kleine Info… Macht bitte vorher ein Backup Eures Blogs und dann nehmt Ihr die geänderten Dateien und überschreibt damit die vorhandenen.
Michael hat in seinem Blog vor ein paar Tagen die Sicherheitslücke und die Betaversion erwähnt. wer mag, der kann sich seinen Beitrag ja einmal durchlesen.

Mal sehen… ich werde in den nächsten Tagen mal so ‘mutig’ sein und das Update durchführen. Werde dann berichten, ob alles geklappt hat… Hier hab ich noch einen Link für die Vorgehensweise des Upgrades.

Nachtrag vom 01. August 2006
Die deutsche Version gibt es inzwischen auch.

Das Update hat bei mir prima geklappt und es läuft scheinbar alles rund. Sollte jemandem von Euch hier etwas Ungewöhnliches auffallen, dann würde ich mich über eine kleine Nachricht freuen.

Nachtrag 2
Diejenigen unter Euch, die Veränderungen an den WP-Dateien gemacht haben, z. B. Übersetzungen, die comment-datei verändert oder die vars.php mit den Smilies, da müsst ihr natürlich anschließend wieder bei.

Bei mir hat beim letzten Mal das WP_Grins nicht funktioniert (wegen der vars.php). Also immer schön aufschreiben, wenn ihr an WP Veränderungen durchführt.

Verwandte Artikel

Geschrieben wurde dieser Beitrag am Samstag, 29. Juli 2006 so gegen 11 Uhr.

Einsortiert wurde er bei "WP-Update".


Du möchtest bei neuen Kommentaren benachrichtigt werden ? Dann verfolge die Kommentare mit RSS 2.0.

Kommentare und Pings sind zur Zeit geschlossen.

12 Kommentare

  1. Kommentar von Conny:

    O.o Wieso muss ich meine Ordner erst löschen, bevor ich das Update hochlade? :?:

    Nun ja, ich werde mich dann auch mal daran wagen, mach’s aber so wie immer (einfach überschreiben lassen). Alles andere ist mir da zu kompliziert… *g*

    btw. ich find ja die Würmchen so süß

  2. Kommentar von Lexxy:

    hehe bei mir wird es heute oben im Adminbereich angezeigt das es das gibt :)
    mal sehen wann ich mich auch mal daran wage……hehe

  3. Kommentar von Kerstin:

    Hallo Gaby,

    ja, ich habe das vorhin auch gesehen, dass es eine neue Version gibt. Allerdings hatte ich von irgendwelchen Bugs gar nix gemerkt.

    Ich traue mich ja an sowas nicht so gerne ran, zur Galerie gibt`s ja auch schon seit geraumer Zeit ein Update.

    Wie ich dich kenne, machst du es aber bald und dann wäre eine “Schritt-für-Schritt”-Anleitung superklasse *bettel*

    Ich grüße dich lieb,

    Kerstin

  4. Kommentar von Biene:

    Runtergeladen hab ich es ja auch, trau mich aber auch noch nich. Denke mal einfach überschreiben so steht es ja auch da. Aber dann geht bestimmt dat eine oder andere nich *grübel* Ob ich es mal wage :?: Jep das wird in der Admin angezeigt, find ich ja auch total irre :D

  5. Kommentar von Gaby:

    @ Conny, nein Du musst nicht zwingend die Ordner löschen. Es reichte bei mir bis jetzt völlig aus, die Dateien zu überschreiben.
    Die Link zu den Würmchen findest Du bei dem Bericht von WP_Grins. *zwinker*

    @ Kerstin, Du hast doch auch die Version 2.03 oder? Dann brauchst Du nur die Zip-Datei mit den veränderten Dateien herunterladen. Da überschreibst Du damit Deine alten.

    @ Biene, nach dem letzten Fiasko werde ich auch ein paar Tage warten. Mal schauen, was da so für Kommentare auf der Downloadseite kommen. *smile*

    *******
    Nun hab ich noch eine Info für Euch. Normal läuft alles wieder ganz ordentlich nach dem Update. Nur diejenigen, die Veränderungen an den WP-Dateien gemacht haben, z. B. Übersetzungen, die comment-datei verändert oder die vars.php mit den Smilies, da müsst ihr natürlich anschliessend wieder bei.

    Bei mir hat beim letzten Mal das WP_Grins nicht funktioniert (wegen der vars.php) Also immer schön aufschreiben, wenn ihr an WP Veränderungen durchführt.

  6. Kommentar von Webhexe:

    ehhh..ich bin ne feige Ratte..ich warte noch ein bissel :D

  7. Kommentar von Biene:

    Ich habs gemacht Gestern. Hab die vars.php wieder umgeändert wegen der Smilies anschließend und in der admin-functions natürlich auch. Das war es auch schon. Alles andere lief absolut korrekt. Kann sonst nix feststellen. Einfach überschrieben und fertig. :)

  8. Kommentar von Lexxy:

    hab mein update heute auch erledigt….

    hier noch ne info die ich heute von meinem Freund bekommen habe, die das Update wichtig macht (hab den link auch auf meinem Weblog im Bericht) dachte ich enthalte den euch nicht vor:

    Heise Security News

  9. Kommentar von Gaby:

    Guten Morgen Lexxy,

    auf den äusserst wichtigen Bestandteil der Sicherheitslücke hatte ich oben im Bericht auch schon hingewiesen. *zwinker*
    Das Heise auch davon berichtet hat, war mir allerdings entgangen. *gg*
    Bussi für den Link.

  10. Kommentar von Simanja:

    So, ich hab es auch gewagt. Mit grossen Probs hat es geklappt.

    Nur hab ich bei den Smileys ein Problem. Die werden über dem Feld, in welchem man die Kommentare schreiben kann, nicht als Grafik angezeigt, sondern als Text… Ich such mich grad blöd, woran das liegen kann - finde aber nix. Wehexe hat mich hieher geschickt ;) Aber irgendwie werd ich nicht schlau… *seufz*

  11. Kommentar von Gaby:

    Huhu Simi,

    bei mir lag es an der vars-php (im Ordner wp-includes)… Die wird diesmal auch wieder überschrieben.

    Hast Du die alte gesichert (Backup)? Dann kopier Dir dort die Abteilung der Smilies (hast Du beim Installieren des WP_Grins geändert) und überschreib diesen Abschnitt in der neuen damit.
    Dann sollte das alles wieder klappen.

    Wenn es sich dann immer noch wehrt, dann schaun wir weiter…

    Knuddels…

  12. Kommentar von Simanja:

    Danke Gaby :) Ich habs - wie du schon gesehen hast - hinbekommen. :singen:


Gaby’s - Colours of the Soul läuft unter Wordpress 9622
Anpassung und Design: Gabis Wordpress-Templates
145 Verweise - 0,513 Sekunden.